ActionController::AbstractRequest error
2010-02-01 02:39 - Jeffrey Jones

Status: Closed Start date: 2010-02-01
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 0.9.1
Description

I am currently unable to run 0.9.1 due to the following error.
uninitialized constant ActionController::AbstractRequest
(Full trace attached in trace.txt)

| have done some looking around and it appears that ActionController::AbstractRequest has been removed and replaced with
ActionController:Request.

| have checked for the former in redmine and found the following;

ubuntu:/var/www/redmine$ grep -r 'ActionController::AbstractRequest' *

lib/redmine/utils.rb: ActionController: :AbstractRequest.relative_url_root.to_s
lib/redmine/utils.rb: ActionController: :AbstractRequest.relative_url_root=arg
vendor/plugins/open_id_authentication/lib/open_id_authentication/request.rb: ActionController::Ab
stractRequest.send :include, OpenIdAuthentication::Request
vendor/plugins/actionwebservice/lib/action_web_service/protocol/abstract.rb: class SimpleAction
PackRequest < ActionController::AbstractRequest # :nodoc:
vendor/rails/railties/guides/source/2_3_release_notes.textile:* +ActionController::AbstractRequest
+ and tActionController::Request+ have been unified. The new +ActionController::Request+ inherits
from +Rack::Request+. This affects access to +response.headers['type'l+ in test requests. Use +res
ponse.content_type+ instead.

vendor/rails/railties/lib/rails/mongrel_server/commands.rb: ActionController: :AbstractReque
st.relative_url_root = defaults[:prefix]

vendor/lib/redmine/utils.rb: ActionController: :AbstractRequest.relative_url_root.to_s
vendor/lib/redmine/utils.rb: ActionController: :AbstractRequest.relative_url_root=arg

Ruby version 1.8.7 (i686-linux)

RubyGems version 1.3.5

* LOCAL GEMS ***

actionmailer (2.3.5)
actionpack (2.3.5)
activerecord (2.3.5)
activeresource (2.3.5)
activesupport (2.3.5)
fastthread (1.0.7)
htmlentities (4.2.0)

mocha (0.9.8)
nofxx-object_daddy (0.4.1)
nokogiri (1.4.1)

passenger (2.2.9, 2.2.8)
pg (0.8.0)

rack (1.1.0, 1.0.1)
rack-test (0.5.3)

rails (2.3.5)

rake (0.8.7)
thoughtbot-shoulda (2.10.2)
webrat (0.7.0)
History

#1 - 2010-02-01 15:31 - Johannes Koch

| got the same problem on windows

ruby 1.8.6 (2007-09-24 patchlevel 111) [i386-mswin32]
Rails 2.3.5
RubyGems 1.3.5

e LOCAL GEMS ***

actionmailer (2.2.2)
actionpack (2.2.2)
activerecord (2.2.2)
activeresource (2.2.2)
activesupport (2.2.2)
fxri (0.3.6)

fxruby (1.6.12)
hpricot (0.6)

log4r (1.0.5)

rack (1.0.1)

rails (2.2.2)

rake (0.8.7, 0.7.3)
sources (0.0.1)
win32-api (1.0.4)
win32-clipboard (0.4.3)
win32-dir (0.3.2)
win32-eventlog (0.4.6)
win32-file (0.5.4)
win32-file-stat (1.2.7)
win32-process (0.5.3)
win32-sapi (0.1.4)
win32-sound (0.4.1)
windows-api (0.2.0)
windows-pr (0.7.2)
xmpp4r (0.4)

#2 - 2010-02-01 15:45 - Johannes Koch

fixed the issue for me by removing a few plugins.

#3 - 2010-02-02 01:09 - Jeffrey Jones

Which plugins did you remove?

Were they third-party?

Were they possibly mandatory in 0.8.7 and are now optional?

Did you sacrifice any usability provided by these plugins to get the base installation working?

#4 - 2010-02-02 04:41 - Beat

I'm not sure if our bug #4712 is related, and if the blind edit/fix proposal there can help you here.
Would also know what you changed to make it work, as we're not back up after the update. :-(
Please tell us, tried removing all plugins which didn't error bad, without luck yet. Thanks.

#5 - 2010-02-02 05:26 - Beat

Hi guys,

Take a look at #4499

For me, deleting old files following step 3, and then applying steps 4 and 5 from here:
http://www.redmine.org/wiki/redmine/RedmineUpgrade

Solved my issue #4712.
Maybe you got a similar one.
Redmine by default searches only OPEN bugs, but that #4499 was CLOSED so | missed it unfortunately at first search here.

Good luck to all: redmine 0.9.1 seems to rock :-)
#6 - 2010-02-02 08:42 - Johannes Koch

Jeffrey Jones wrote:

Which plugins did you remove?

Were they third-party?

Were they possibly mandatory in 0.8.7 and are now optional?

Did you sacrifice any usability provided by these plugins to get the base installation working?

| had to remove the plugins

gloc-1.1.0
actionwebservice
install.rb
redmine_code_review

then it worked again.

#7 - 2010-02-02 17:31 - Beat

Johannes Koch wrote:
Jeffrey Jones wrote:

Which plugins did you remove?

Were they third-party?

Were they possibly mandatory in 0.8.7 and are now optional?

Did you sacrifice any usability provided by these plugins to get the base installation working?

| had to remove the plugins

gloc-1.1.0
actionwebservice
install.rb
redmine_code_review

then it worked again.
Thanks, some of those are also removed if you do upgrade not by overwriting files from old by new, but using Step 3 method of the Installing

instructions as worked for me following step 3, and then applying steps 4 and 5 from here:
http://www.redmine.org/wiki/redmine/RedmineUpgrade

You should really check that link and make sure to also update the database, there are quite a few upgrades being done by step 4...

#8 - 2010-02-02 20:52 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Invalid

Jeffrey, you were not running a fresh 0.9.1.
Eg. vendor/plugins/actionwebservice has gone for a while.

#9 - 2010-02-05 09:48 - Jeffrey Jones

That will teach me to make assumptions about the installation process. Merci

Files

trace.txt 5.16 KB 2010-02-01 Jeffrey Jones
